<?php

session_start(); //Iniciar a sessao

//Limpar o buffer 
ob_start();

//Incluir a conexao com o banco de dados
include_once '../banco/conexaobd.php';

//Receber os dados do formulario
$dados = filter_input_array(INPUT_POST, FILTER_DEFAULT);


//var_dump($dados);


//verificar se o usuario clicou no botao
if(!empty($dados['CadUsuario'])){
    foreach($dados['perguntas'] as $chave => $perguntas){
        //echo "Chave: $chave <br>";
        //echo "Nome: $nome <br>";
        //echo "E-mail: " . $dados['email'][$chave] . "<br>";
        //echo "<hr>";

        $query_usuario = "INSERT INTO perguntas (titulo, subtitulo, perguntas, id_categoria_pergunta, conceito) VALUES (:titulo, :subtitulo, :perguntas, :id_categoria_pergunta, :conceito)";
        $cad_usuario = $conn->prepare($query_usuario);
        $cad_usuario->bindParam(':perguntas', $perguntas);
        $cad_usuario->bindParam(':titulo', $dados['titulo'][$chave]);
        $cad_usuario->bindParam(':subtitulo', $dados['subtitulo'][$chave]);
        $cad_usuario->bindParam(':id_categoria_pergunta', $dados['id_categoria_pergunta'][$chave]);
        $cad_usuario->bindParam(':conceito', $dados['conceito'][$chave]);
        
        $cad_usuario->execute();

    }

    //Variavel global com a mensagem de sucesso
    $_SESSION['msg'] = "<p style='color: green;'>Usuário cadastrado com sucesso!</p>";

    //Redirecionar o usuario para a pagina inicial
    header("Location: ../efetiva/listadeperguntas.php");
}else{
    //Variavel global com a mensagem de sucesso
    $_SESSION['msg'] = "<p style='color: #f00;'>Erro: Usuário não cadastrado com sucesso!</p>";

    //Redirecionar o usuario para a pagina inicial
        header("Location: ../efetiva/listadeperguntas.php");
}

?>





